Grape::Entity.format_with :id do |entity|
                                entity.id unless entity.nil?
                              end

Grape::Entity.format_with :normal_balance do |value_klass|
                                            value_klass.type unless value_klass.nil?
                                          end

Grape::Entity.format_with :time do |time|
                                  time.iso8601(3) unless time.nil?
                                end

Grape::Entity.format_with :time_full_second do |time|
                                              time.iso8601 unless time.nil?
                                            end

Grape::Entity.format_with :value do |value|
                                   value.rest_hash unless value.nil?
                                 end

Grape::Entity.format_with :progress do |value|
                                      { :percentage => value }
                                    end

Grape::Entity.format_with :integer do |value|
                                      value.to_i unless value.nil?
                                   end

Grape::Entity.format_with :balance do |value|
                                     value.serializable_hash unless value.nil?
                                   end
