module Subledger
  class Actor
    include Celluloid

    private

    def worker type
      worker_actor = nil

      while ( worker_actor = Celluloid::Actor[ type ] ).nil?
        sleep 0.1
      end

      worker_actor
    end

    CLIENT_HASH = 'client_hash'
    ORG_ID      = 'org_id'
    BOOK_ID     = 'book_id'

    def client_for args
      client_hash = args[CLIENT_HASH]

      Subledger.new :org_id  => client_hash[ORG_ID],
                    :book_id => client_hash[BOOK_ID]
    end
  end
end
