module Subledger
  module Domain
    module Roles
      module Timeable

        private

        def utc_or_nil time
          time.nil? ? nil : time.utc
        end

        def utc_or_now time
          time.nil? ? Time.now.utc : time.utc
        end
      end
    end
  end
end
