module Subledger
  module Interface
    class Dispatcher
      def initialize args
        @klass  = args[:klass]

        @dispatch_args = args
      end

      def method_missing method, args, &block
        args.delete :store
        args.delete :client

        merged_args = @dispatch_args.merge args

        @klass.send method, merged_args, &block
      end
    end
  end
end
