module Subledger
  module Store
    module Api
      module Activate
        def activate activatable
          path = Path.for_entity( :anchor => activatable ) + '/activate'

          begin
            json_body = http.post do |req|
                          req.url path
                        end.body
          rescue Exception => e
            raise ActivateError, "Cannot activate #{activatable}: #{e}"
          end

          new_or_initialize json_body, activatable
        end
      end
    end
  end
end
