module Subledger
  module Store
    module Api
      module Archive
        def archive archivable
          path = Path.for_entity( :anchor => archivable ) + '/archive'

          begin
            json_body = http.post do |req|
                          req.url path
                        end.body
          rescue Exception => e
            raise ArchiveError, "Cannot archive #{archivable}: #{e}"
          end

          new_or_initialize json_body, archivable
        end
      end
    end
  end
end
