module Subledger
  module Store
    module Api
      module Progress
        def progress progressable

          path = Path.for_entity( :anchor => progressable ) + '/progress'

          begin
            response_hash = parse_json(
                              http.get( path ).body )
          rescue Exception => e
            raise ProgressError, "Cannot progress #{progressable}: #{e}"
          end

          response_hash['progress']['percentage'].to_i
        end
      end
    end
  end
end
