module Subledger
  module Store
    module Api
      module Read
        def read readable
          path = Path.for_entity :anchor => readable

          begin
            json_body = http.get( path ).body
          rescue Exception => e
            raise ReadError, "Cannot read #{readable}: #{e}"
          end

          new_or_initialize json_body, readable
        end
      end
    end
  end
end
