module Subledger
  module Store
    module Api
      module Update
        def update updatable
          path = Path.for_entity :anchor => updatable

          begin
            json_body = http.patch do |req|
                          req.url    path
                          req.body = updatable.patch_hash
                        end.body
          rescue UpdateConflictError => e
            raise e
          rescue Exception => e
            raise UpdateError, "Cannot update #{updatable}: #{e}"
          end

          new_or_initialize json_body, updatable
        end
      end
    end
  end
end
