module Subledger
  class Supervisor < Celluloid::SupervisionGroup

    DEFAULT_SIZE = 1

    SMALL  = 16
    MEDIUM = 32
    LARGE  = 48
    GRANDE = 80

    def self.manage klass, args
      args[:size] ||= DEFAULT_SIZE

      if args[:size] == 1
        supervise klass, args
      else
        pool klass, args
      end
    end
  end
end
